### Method

# Gtk TreeViewinsert_column

deprecated: 4.10

#### Declaration [src]

    int
    gtk_tree_view_insert_column (
      GtkTreeView* tree_view,
      GtkTreeViewColumn* column,
      int position
    )

#### Description [src]

This inserts the `column` into the `tree_view` at `position`. If `position` is -1, then the column is inserted at the end. If `tree_view` has “fixed_height” mode enabled, then `column` must have its “sizing” property set to be GTK_TREE_VIEW_COLUMN_FIXED.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`column`

  Type: `GtkTreeViewColumn`

  The `GtkTreeViewColumn` to be inserted.

  The data is owned by the caller of the method.

`position`

  Type: `int`

  The position to insert `column` in.

#### Return value

Type: `int`

The number of columns in `tree_view` after insertion.